#include "Behavioural/Generic/Queue_Control/include/Queue_Control.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue_control {

#undef  FUNCTION
#define FUNCTION "Queue_Control::full"
  bool Queue_Control::full (void)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
    uint32_t _return = (_nb_elt == _nb_elt_max);
    log_printf(FUNC,Queue_Control,FUNCTION,"End");
    
    return _return;
  };

#undef  FUNCTION
#define FUNCTION "Queue_Control::empty"
  bool Queue_Control::empty (void)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
    uint32_t _return = (_nb_elt == 0);
    log_printf(FUNC,Queue_Control,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace queue_control
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
